%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	mapping application toolkit
Name:		mapnik
Version:	0.6.1
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://mapnik.org/	
Group:		Navigation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libxml2-devel
BuildRequires: proj-devel
BuildRequires: python26-devel python26-pycairo-devel
BuildRequires: zlib-devel

%description
Mapnik is a Free Toolkit for developing mapping applications. It's written in C++ and there are Python bindings to facilitate fast-paced agile development. It can comfortably be used for both desktop and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library and offers world class anti-aliasing rendering with subpixel accuracy for geographic data. It is written from scratch in modern C++ and doesn't suffer from design decisions made a decade ago. When it comes to handling common software tasks such as memory management, filesystem access, regular expressions, parsing and so on, Mapnik doesn't re-invent the wheel, but utilises best of breed industry standard libraries from boost.org 

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done


%build
scons/scons.py PREFIX=%_prefix


%install
rm -rf $RPM_BUILD_ROOT
scons/scons.py install DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix

%files
%defattr(-,root,root,-)
%_bindir/shapeindex
%_libdir/mapnik
%_libdir/libmapnik.so.*
%{python_sitelib}

%files devel
%defattr(-,root,root,-)
%_libdir/libmapnik.so
%_includedir/mapnik/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.1-2
- python 2.6
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- Version update
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-1
- Initial Release
